import { Extension, ExtensionDeclaration, CodeRef } from '../types';
export declare type DataSource = ExtensionDeclaration<'console.dashboards/datasource', {
    contextId: string;
    /** Returns a extension function that provides a custom data source object */
    getDataSource: CodeRef<(dataSourceID: string) => Promise<CustomDataSource>>;
}>;
export declare const isDataSource: (e: Extension) => e is DataSource;
export declare type CustomDataSource = {
    basePath: string;
    dataSourceType: string;
};
