import { Extension, ExtensionDeclaration, CodeRef } from '../types';
/** This extension can be used to provide a handler for the file drop action on specific file extensions. */
export declare type FileUpload = ExtensionDeclaration<'console.file-upload', {
    /** Supported file extensions. */
    fileExtensions: string[];
    /** Function which handles the file drop action. */
    handler: CodeRef<FileUploadHandler>;
}>;
export declare const isFileUpload: (e: Extension) => e is FileUpload;
export declare type FileUploadHandler = (file: File, namespace: string) => void;
