import { Extension, ExtensionDeclaration, CodeRef } from '../types';
/** This component can be used to register a listener function receiving telemetry events.
    These events include user identification, page navigation, and other application specific events.
    The listener may use this data for reporting and analytics purposes. */
export declare type TelemetryListener = ExtensionDeclaration<'console.telemetry/listener', {
    /** Listen for telemetry events */
    listener: CodeRef<TelemetryEventListener>;
}>;
export declare type TelemetryEventListener = <P = any>(eventType: string, properties?: P) => void;
export declare const isTelemetryListener: (e: Extension) => e is TelemetryListener;
