exports.default = {
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "Plugin name. Should be the same as `metadata.name` of the corresponding `ConsolePlugin` resource used to represent the plugin on the cluster."
    },
    "version": {
      "type": "string",
      "description": "Plugin version. Must be semver compliant."
    },
    "displayName": {
      "type": "string",
      "description": "User-friendly plugin name."
    },
    "description": {
      "type": "string",
      "description": "User-friendly plugin description."
    },
    "exposedModules": {
      "type": "object",
      "additionalProperties": {
        "type": "string"
      },
      "description": "Specific modules exposed through the plugin's remote entry."
    },
    "dependencies": {
      "type": "object",
      "additionalProperties": {
        "type": "string"
      },
      "description": "Additional dependencies required for this plugin to work. Values must be valid semver ranges or `*` representing any version.\n\nConsole plugins may depend on other Console plugins or on Console application itself, represented as `@console/pluginAPI` dependency.\n\nIf present, `@console/pluginAPI` version range is matched against the Console release version, as provided by the Console operator."
    },
    "disableStaticPlugins": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "Disable the given static plugins when this plugin gets loaded."
    }
  },
  "required": [
    "name",
    "version"
  ],
  "additionalProperties": false,
  "description": "Console plugin metadata in `package.json` file.",
  "definitions": {}
};